Subject: Re: \n->\r\n?
From: [email-masked] (Mark Hadfield)

7 Feb 1998 01:18:12 -0800
Message-ID: <01bd3395$c482ebe0$6c3261cb.cygnus.gnu-win32@mark---vicky>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>, "Martin Svenningsson" <[email-masked]>

These gawk programs accept text in EITHER format at stdin and print dos
(\r\n) & unix (\n) format respectively at stdout

gawk 'BEGIN {RS="(\015\012)|\012"; ORS="\015\012"}; {print}'

gawk 'BEGIN {RS="(\015\012)|\012"; ORS="\012"    }; {print}'

==============================================================
 Mark Hadfield                         10 Emily Way, Karori
 [email-masked]               Wellington, New Zealand

-----Original Message-----
From: Martin Svenningsson <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Saturday 7 February 1998 14:16
Subject: \n->\r\n?

>Hi.
>
>I know I can convert crlf to just lf with:
>tr -d '\r' < crlf_file > lf_file
>
>Can I do something simular to transalte from lf to crlf?
>
>And to the cygwin crew:
>Please make text==binary default in b19, we can mount != in the dirs we
want!
>
>Hope to be seeing b19 soon =)
>
>__________________________________________________
>Martin 'EmmEss' Svenningsson - Helsingborg, SWEDEN
>http://www.tripnet.se/~emmess/ - [email-masked]
>See my mail headers for info about my PGP pub keys
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".